cupsenable(8)

NOME
cupsdisable, cupsenable - pára/arranca impressoras e classes

RESUMO
cupsdisable [ -E ] [ -U username ] [ -c ] [ -h server[:port] ] [ -r reason ] [ --hold ] destination(s)
cupsenable [ -E ] [ -U username ] [ -c ] [ -h server[:port] ] [ --release ] destination(s)

DESCRIÇÃO
cupsenable inicia as impressoras ou classes nomeadas enquanto cupsdisable pára as impressoras ou classes nomeadas.

OPÇÕES
As seguintes opções podem ser usadas:

-E  Força encriptação da ligação ao servidor.

-U username
    Usa o nome de utilizador especificado ao ligar ao servidor.

-c  Cancela todos os trabalhos no destino nomeado.

-h server[:port]
    Usa o servidor e porto especificado.

--hold
    Retém os trabalhos restantes na impressora nomeada. Útil para permitir que o trabalho actual termine antes de executar manutenção.

-r "reason"
    Define a mensagem associada ao estado de paragem. Se nenhuma razão for especificada, então a mensagem é definida para "Razão Desconhecida".

--release
    Liberta trabalhos pendentes para impressão. Use após correr cupsdisable com a opção --hold para resumir a impressão.

DE ACORDO COM
Ao contrário do sistema de impressão System V, o CUPS permite que os nomes das impressoras contenham qualquer caractere imprimível excepto SPACE, TAB, "/", ou "#". Também, os nomes das impressoras e classes não são sensíveis a maiúsculas/minúsculas.

The System V versions of these commands are disable and enable, respectively. They have been renamed to avoid conflicts with the bash(1) built-in commands of the same names.

As versões CUPS do disable e enable podem pedir ao utilizador uma palavra passe de acesso dependendo da configuração do sistema de impressão. Isto difere das versões do System V que requerem que seja o utilizador root a executar estes comandos.

VEJA TAMBÉM
cupsaccept(8), cupsreject(8), cancel(1), lp(1), lpadmin(8), lpstat(1), Ajuda Online do CUPS (http://localhost:631/help)

COPYRIGHT
Copyright © 2021-2023 by OpenPrinting.